Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 May 2015 21:18:58 +0300

> From: Oleh Krehel <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 22 May 2015 18:54:17 +0200
> 
> I attach a patch that sets ascent/descent to 0 specifically for the
> problematic font family "Latin Modern Math".

That's hardly TRT.  Even if we'd want to "fix" some fonts, setting
ascent/descent to zero can only be justified if someone would examine
all of the characters of that font and verify that none of then needs
a non-zero value of ascent/descent, or tell us which (smaller) values
are actually needed.

But what I'd really like to do is find out how do other applications
avoid this problem.  I thought that's what we wanted to do in this
thread.